# Uses of Interface
ch.qos.logback.core.net.ssl.SSLConfigurable

Packages that use SSLConfigurable
Package
Description
ch.qos.logback.core.net.ssl
Contains classes that create and configure a JSSE SSLContext needed for secure transport of logging events by SSLSocketAppender.

## Uses of SSLConfigurable in ch.qos.logback.core.net.ssl

Classes in ch.qos.logback.core.net.ssl that implement SSLConfigurable
Modifier and Type
Class
Description
`class`
`SSLConfigurableServerSocket`
An `SSLConfigurable` wrapper for an `SSLServerSocket`.
`class`
`SSLConfigurableSocket`
An `SSLConfigurable` wrapper for an `SSLSocket`.
Methods in ch.qos.logback.core.net.ssl with parameters of type SSLConfigurable
Modifier and Type
Method
Description
`void`
SSLParametersConfiguration.`configure(SSLConfigurable socket)`
Configures SSL parameters on an `SSLConfigurable`.